Kerbal Space Program - Bug #4825

Crossfeed from Radial Decouplers
04/30/2015 12:45 AM - balricaso

Status: Closed Start date: 04/30/2015
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.0 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Operating System : Windows 7 Home Premium
Kerbal Version: 1.0

What happens:

When a radial decoupler is attached to a fuel tank, then an additional tank is placed upon said decoupler, no crossfeed occurs when
an engine fires off the stack placed upon the decoupler.

When a radial decoupler is attached to a fuel tank, then a non-tank part is placed on the decoupler, when an engine fires from the
decoupler stack, fuel will flow from the central stack, acting as though the decoupler is crossfeed enabled.

Redditor tris_majestis assisted and provided an album showing the issue.
http://imgur.com/a/QqgIKE#0

History

#1 - 04/30/2015 03:27 AM - zhollett
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This sounds exactly like another earlier reported issue with the radial decouplers and non-fuel parts:
http://bugs.kerbalspaceprogram.com/issues/4796

#2 - 05/01/2015 05:21 PM - Kasuha

It's caused by the fact that radial decouplers allow fuel crossfeed and fuel routing rules then drain the parent part.
Could be fixed by disabling fuel crossfeed for radial decouplers as suggested several times in the past.

#4 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 11/17/2015 02:13 PM - sal_vager
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100

This behavior is intended, and now you have the option to enable flow in build 1028
